# Created by pyp2rpm-3.3.2
%global pypi_name pyblake2

Name:           python-%{pypi_name}
Version:        1.1.2
Release:        %mkrel 6
Summary:        BLAKE2 hash function extension module
Group:          Development/Python
License:        Public Domain
URL:            https://github.com/dchest/pyblake2
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
pyblake2 is an extension module for Python implementing BLAKE2 hash
function.BLAKE2 is a cryptographic hash function, which offers highest security
while being as fast as MD5 or SHA-1, and comes in two flavors:* BLAKE2b,
optimized for 64-bit platforms and produces digests of any size between 1 and
64 bytes,* BLAKE2s, optimized for 8- to 32-bit platforms and produces digests
of any size between...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyblake2 is an extension module for Python implementing BLAKE2 hash
function.BLAKE2 is a cryptographic hash function, which offers highest security
while being as fast as MD5 or SHA-1, and comes in two flavors:* BLAKE2b,
optimized for 64-bit platforms and produces digests of any size between 1 and
64 bytes,* BLAKE2s, optimized for 8- to 32-bit platforms and produces digests
of any size between...

%package -n python-%{pypi_name}-doc
Summary:        pyblake2 documentation

%description -n python-%{pypi_name}-doc
Documentation for pyblake2.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc_src html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.1.2-6.mga9
+ Revision: 1799277
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.1.2-5.mga9
+ Revision: 1783264
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 1.1.2-4.mga9
+ Revision: 1717238
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1533998
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 1.1.2-2.mga8
+ Revision: 1446578
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 1.1.2-1.mga8
+ Revision: 1422923
- pyp2rpm

